<?php
/**
 * DB update file for ACL Locations
 *
 * @author Lord Le Brand <lordlebrand@hotmail.com>
 * @copyright (c) 2008 Lord Le Brand
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 */

/**
 */
define('IN_PHPBB', true);

$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

require("{$phpbb_root_path}common.$phpEx");
// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if ($user->data['user_id'] == ANONYMOUS)
{
	login_box();
}

if ($user->data['user_type'] != USER_FOUNDER)
{
	trigger_error('NO_AUTH_OPERATION');
}

if (!empty($config['acl_locations_installed']))
{
	trigger_error('ACL Locations is already installed! Delete this file already!<br /><br />' . sprintf($user->lang['RETURN_INDEX'], '<a href="' . append_sid("index.$phpEx") . '">', '</a>'));
}

$db->sql_transaction('begin');
$db->sql_query('INSERT INTO ' . ACL_LOCATIONS_TABLE . ' (location_identifier, location_table, location_primary, location_title, is_nestable)
	VALUES (\'\', \'FORUMS_TABLE\', \'forum_id\', \'forum_name\', 1)');
$location_id = $db->sql_nextid();
$db->sql_query('UPDATE ' . ACL_OPTIONS_TABLE . " SET acl_location = $location_id");
set_config('acl_locations_installed', 1);
$db->sql_transaction('commit');

trigger_error('Database populated succesfully! You can now delete this file.<br /><br />' . sprintf($user->lang['RETURN_INDEX'], '<a href="' . append_sid("index.$phpEx") . '">', '</a>'));

?>